Download Batch Errors
curl --request POST \
--url https://api.onekhusa.com/sandbox/v1/disbursements/batch/downloadErrors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchantAccountNumber": 12345678,
"batchNumber": 123456
}
'import requests
url = "https://api.onekhusa.com/sandbox/v1/disbursements/batch/downloadErrors"
payload = {
"merchantAccountNumber": 12345678,
"batchNumber": 123456
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({merchantAccountNumber: 12345678, batchNumber: 123456})
};
fetch('https://api.onekhusa.com/sandbox/v1/disbursements/batch/downloadErrors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documentName": "Batch Disbursement Errors",
"contentType": "Microsoft Excel File",
"dateCreated": "2026-02-15T10:30:00Z",
"documentBase64": "encoded-base64-content"
}Batch Disbursements
Download Batch Errors
This endpoint allows the merchants to download Microsoft Excel file containing errors identified during batch disbursements processing.
POST
/
disbursements
/
batch
/
downloadErrors
Download Batch Errors
Authorizations
Bearer authentication header of the form Bearer Token, Where accessToken is the access token used to authenticate the request.
Headers
Preferred language for the response
Body
application/json
Response
200 - application/json
Success Response (200 OK)
The name/title of the downloaded document
Example:
"Batch Disbursement Errors"
The type of the file i.e. Microsoft Excel File
Example:
"Microsoft Excel File"
The date in which the download file was created
Example:
"2026-02-15T10:30:00Z"
Base64-encoded content of the downloaded file
Example:
"encoded-base64-content"